Filter management with hamemr seems to be missing means of associating resource type
Status: Closed   
Assignee: Eric Helms   

Category: API   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1230884 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2595

  

Description

I'm trying to manage creation of roles and their associated permissions.  Haven't figured out how.  This was as close as I could

determine and it doesnt work.

hammer> filter create --role "Content Viewer" --permissions "view_gpg_keys,view_content_views" 

Could not create the permission filter:

  Permissions Permissions must be of same resource type

hammer> filter update --organization-ids 1 --id 76 --role "Content Viewer" --permissions view_prod

ucts

Could not update the permission filter:

  Permissions Permissions must be of same resource type

  Organization ids You can't assign organizations to this resource

hammer> filter update --organization-ids 1 --id 76 --role "Content Viewer" --permissions view_prod

ucts -^t^t

--help               --location-ids       --organization-ids   --permission-ids     --role        

       --search             

--id                 --locations          --organizations      --permissions        --role-id     

       -h        

Related issues:

Related to Hammer CLI - Bug #11441: Hammer does not check whether it get corr... Closed

Related to Foreman - Refactor #28591: remove deprecated permissions api param... Closed

Associated revisions

Revision 2dec184c - 08/24/2015 08:42 AM - Eric Helms

Fixes #11303: Allow scoped search by name for permissions.

This both provides this functionality and fixes an issue with creating

filters using hammer. Hammer attempts to search for a permission by

name using scoped search syntax when creating a filter with the

--permission=view_domains style syntax. However, this was defaulting to

returning all permissions instead of scoped permissions.

History

#1 - 08/07/2015 10:02 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2595 added

- Pull request deleted ()

#2 - 08/07/2015 10:07 AM - Eric Helms

After some investigation this appears to be an error with the expectation of hammer when providing a permission name to go and search the API for a

permission with the name supplied by the user. However, permissions aren't currently outfitted for scoped search usage and thus all permissions are
returned and a filter is attempted to be created with them and thus the error mentioned is generated.

#3 - 08/07/2015 10:08 AM - Eric Helms

- Project changed from Katello to Foreman

- Category deleted (Hammer)

#4 - 08/20/2015 05:17 AM - Marek Hulán

- Related to Bug #11441: Hammer does not check whether it get correct number of resources when translating name to id parameters added

#5 - 08/20/2015 05:26 AM - Marek Hulán

- Category set to API

- Assignee set to Eric Helms

- Bugzilla link set to 1230884

#6 - 08/24/2015 08:42 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#7 - 08/24/2015 09:03 AM - Eric Helms

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2dec184c083bb0e6a2404de30083f2d8aa491a96.

#8 - 12/30/2019 08:33 AM - Tomer Brisker

- Related to Refactor #28591: remove deprecated permissions api parameters added

Powered by TCPDF (www.tcpdf.org)

05/09/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/2dec184c083bb0e6a2404de30083f2d8aa491a96
http://www.tcpdf.org

